Bug 141538 - UI Remove button does not work in Select Address List dialog of Mail Merge Wizard
Summary: UI Remove button does not work in Select Address List dialog of Mail Merge Wi...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: All All
: medium normal
Assignee: Gabor Kelemen
URL:
Whiteboard: target:7.2.0 target:7.1.4
Keywords: implementationError
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2021-04-07 13:57 UTC by NISZ LibreOffice Team
Modified: 2021-05-05 14:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Simple MM datasource file (10.59 KB, application/vnd.oasis.opendocument.spreadsheet)
2021-04-07 13:57 UTC, NISZ LibreOffice Team
Details
Mail Merge Wizard before deleting the data source (53.25 KB, image/png)
2021-04-07 13:57 UTC, NISZ LibreOffice Team
Details
Mail Merge Wizard after deleting the data source (59.09 KB, image/png)
2021-04-07 13:57 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-04-07 13:57:04 UTC
Created attachment 171003 [details]
Simple MM datasource file

The Remove button of the Select Address List dialog of the Mail Merge Wizard does not work on non-GTK backends.

Steps to reproduce:
    1. Tools – Mail Merge Wizard
    2. Go to the 3. Insert Address Block panel
    3. Press the Select Address List button
    4. Add a data source such as the attached file, Press OK
    5. The Insert Address Block panel displays the Current address list below the Select Address List button.
    6. Press the Select Address List button again, press Yes in the confirmation dialog.
    7. The data source disappears from the Select Address List dialog as expected. Press OK.

Actual results:
The Insert Address Block panel still displays the Current address list below the Select Address List button. 
Reopening the Select Address List dialog – as well as the View – Data Sources pane – still displays the data source as existing.

Expected results:
The data source should be removed for good. 
This happens correctly on Linux with GTK3 backend, but not on Windows or Linux + QT5 backend.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 465b8b0e9ad4b0c9c7701dee2820a99c5d00b5bf
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-04-07 13:57:26 UTC
Created attachment 171004 [details]
Mail Merge Wizard before deleting the data source
Comment 2 NISZ LibreOffice Team 2021-04-07 13:57:55 UTC
Created attachment 171005 [details]
Mail Merge Wizard after deleting the data source

Reopen this dialog and the data source comes back.
Comment 3 Gabor Kelemen 2021-04-07 15:47:32 UTC
Proposed patch: https://gerrit.libreoffice.org/c/core/+/113747
Comment 4 Commit Notification 2021-04-16 09:16:27 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a258d42c77c3ce65a9455d08dc6106310222bc7b

tdf#141538 Make Remove button work in Select Address List dialog

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-04-20 19:41:15 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/99ca6b660fd911e9e60b63ae286c588aedfb01d0

tdf#141538 Make Remove button work in Select Address List dialog

It will be available in 7.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2021-04-22 09:00:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9be6795255f7348ca002b141310a2bd458e91b0e

tdf#141538 default to returning contents of first text column

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 NISZ LibreOffice Team 2021-05-05 14:53:05 UTC
Verified in:

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: ef78c7d93e4f170ac7a7f0307a8305052524eb53
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: ug-CN (hu_HU); UI: hu-HU
Calc: threaded